EjbDotXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.dd.EjbDotXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.dd
Class EjbDotXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.ejb.dd.EjbDotXmlSubTask

All Implemented Interfaces:
  Serializable

public class EjbDotXmlSubTask
extends AbstractEjbDeploymentDescriptorSubTask

Subtask for generating standard EJB deployment descriptor.

Version:
  $Revision: 1.18 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  display-name="ejb-jar.xml" name="deploymentdescriptor" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Oct 15, 2001

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected String` | `clientjar`
`protected String` | `description`
`protected String` | `displayname`
`protected String` | `largeicon`
`protected String` | `smallicon`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`EjbDotXmlSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getClientjar()` Gets the Clientjar attribute of the EjbDotXmlSubTask object
`String` | `getDescription()` Gets the Description attribute of the EjbDotXmlSubTask object
`String` | `getDisplayname()` Gets the Displayname attribute of the EjbDotXmlSubTask object
`String` | `getLargeicon()` Gets the Largeicon attribute of the EjbDotXmlSubTask object
`String` | `getSmallicon()` Gets the Smallicon attribute of the EjbDotXmlSubTask object
`void` | `setClientjar(String clientjar)` Sets the Clientjar attribute of the EjbDotXmlSubTask object
`void` | `setDescription(String description)` Sets the Description attribute of the EjbDotXmlSubTask object
`void` | `setDisplayname(String displayname)` Sets the Displayname attribute of the EjbDotXmlSubTask object
`void` | `setLargeicon(String largeicon)` Sets the Largeicon attribute of the EjbDotXmlSubTask object
`void` | `setSmallicon(String smallicon)` Sets the Smallicon attribute of the EjbDotXmlSubTask object
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### displayname

    protected String displayname

### smallicon

    protected String smallicon

### largeicon

    protected String largeicon

### clientjar

    protected String clientjar

Constructor Detail

### EjbDotXmlSubTask

    public EjbDotXmlSubTask()

Method Detail

### getSmallicon

    public String getSmallicon()

  Gets the Smallicon attribute of the EjbDotXmlSubTask object

  Returns:
    The Smallicon value

### getLargeicon

    public String getLargeicon()

  Gets the Largeicon attribute of the EjbDotXmlSubTask object

  Returns:
    The Largeicon value

### getDisplayname

    public String getDisplayname()

  Gets the Displayname attribute of the EjbDotXmlSubTask object

  Returns:
    The Displayname value

### getDescription

    public String getDescription()

  Gets the Description attribute of the EjbDotXmlSubTask object

  Returns:
    The Description value

### getClientjar

    public String getClientjar()

  Gets the Clientjar attribute of the EjbDotXmlSubTask object

  Returns:
    The Clientjar value

### setSmallicon

    public void setSmallicon(String smallicon)

  Sets the Smallicon attribute of the EjbDotXmlSubTask object

  Parameters:
    `smallicon` - The new Smallicon value

### setLargeicon

    public void setLargeicon(String largeicon)

  Sets the Largeicon attribute of the EjbDotXmlSubTask object

  Parameters:
    `largeicon` - The new Largeicon value

### setDisplayname

    public void setDisplayname(String displayname)

  Sets the Displayname attribute of the EjbDotXmlSubTask object

  Parameters:
    `displayname` - The new Displayname value

### setDescription

    public void setDescription(String description)

  Sets the Description attribute of the EjbDotXmlSubTask object

  Parameters:
    `description` - The new Description value

### setClientjar

    public void setClientjar(String clientjar)

  Sets the Clientjar attribute of the EjbDotXmlSubTask object

  Parameters:
    `clientjar` - The new Clientjar value

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD